Subject: bug#19350: #19350 24.4; Incorrect quoting of %-signs for Windows command shell

From: Noam Postavsky <[email-masked]>
Date: Thu, 08 Feb 2018 19:17:16 -0500

close 19350 
quit

Demi Obenour <[email-masked]> writes:

> But yes, it would be great to just skip the shell.  I don't think we
> should replace it either.  Lisp should always pass an argument list
> when creating a process.

The manual's description of shell-quote-argument has meanwhile got a
cross-reference to `(elisp) Security Considerations'.  I've added a
mention of this problem there, and an expected-to-fail test to make it
clear what the problem is.  With that, I'll close the bug.

[1: 2dd273b985]: 2018-02-08 19:10:11 -0500
  Mention that shell quoting of % on w32 may fail (Bug#19350)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=2dd273b9853189f2105426cffa723ced7f329fb4